package cn.tsy.data.idsse.dsds.model.file;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
* 上传文件定义
* @author: zxq
* @date: 2024-05-13 23:57:49
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmesoft.cn
*/
@HmeTable(name = "FILE_REG", key="TSY_ID")
public class FileReg extends HmeBean{
	private static final long serialVersionUID = -714765477609779109L;
	private Integer tsy_id;
	//文件名称
	private String file_name;
	//文件路径
	private String file_path;
	//文件类型
	private String file_type;
	//文件大小
	private String file_length;
	//上传时间
	private LocalDateTime upload_time;
	//对应的业务编号
	private Integer business_id;
	//业务处理情况
	private String business_status;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 文件名称
	 */
	public String getFile_name() {
		return this.file_name;
	}

	/****
	 * 文件名称
	 */
	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}

	/****
	 * 文件路径
	 */
	public String getFile_path() {
		return this.file_path;
	}

	/****
	 * 文件路径
	 */
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	/****
	 * 文件类型
	 */
	public String getFile_type() {
		return this.file_type;
	}

	/****
	 * 文件类型
	 */
	public void setFile_type(String file_type) {
		this.file_type = file_type;
	}

	/****
	 * 文件大小
	 */
	public String getFile_length() {
		return this.file_length;
	}

	/****
	 * 文件大小
	 */
	public void setFile_length(String file_length) {
		this.file_length = file_length;
	}

	/****
	 * 上传时间
	 */
	public LocalDateTime getUpload_time() {
		return this.upload_time;
	}

	/****
	 * 上传时间
	 */
	public void setUpload_time(LocalDateTime upload_time) {
		this.upload_time = upload_time;
	}

	/****
	 * 对应的业务编号
	 */
	public Integer getBusiness_id() {
		return this.business_id;
	}

	/****
	 * 对应的业务编号
	 */
	public void setBusiness_id(Integer business_id) {
		this.business_id = business_id;
	}

	/****
	 * 业务处理情况
	 */
	public String getBusiness_status() {
		return this.business_status;
	}

	/****
	 * 业务处理情况
	 */
	public void setBusiness_status(String business_status) {
		this.business_status = business_status;
	}

}